Bug 1128809 - /usr/bin/convert is segfaulting
Summary: /usr/bin/convert is segfaulting
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ImageMagick
Version: 6.5
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Horak
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 15:13 UTC by Jim Toth
Modified: 2017-12-06 11:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 11:43:08 UTC
Target Upstream Version:


Attachments (Terms of Use)
JPG file will cause the crash (822.38 KB, image/jpeg)
2014-08-11 15:13 UTC, Jim Toth
no flags Details

Description Jim Toth 2014-08-11 15:13:51 UTC
Created attachment 925814 [details]
JPG file will cause the crash

Description of problem:

/usr/bin/convert is segfaulting

Being called by SlideShowPro, but reproducible on the command line.


Version-Release number of selected component (if applicable):

# convert --version; rpm -qf /usr/bin/convert

Version: ImageMagick 6.5.4-7 2014-01-30 Q16 OpenMP http://www.imagemagick.org
Copyright: Copyright (C) 1999-2009 ImageMagick Studio LLC

ImageMagick-6.5.4.7-7.el6_5.x86_64


How reproducible:

sudo -u apache /usr/bin/convert -strip -size 54x41 /tmp/Dion_web.jpg -depth 8 -quality 60 -resize 54x41 -unsharp 1x1+1.0+0.10 /tmp/Dion_web-out.jpg

Also segfaults if run as root, but hangs until ^C is pressed.


Steps to Reproduce:

1. sudo -u apache /usr/bin/convert -strip -size 54x41 /tmp/Dion_web.jpg -depth 8 -quality 60 -resize 54x41 -unsharp 1x1+1.0+0.10 /tmp/Dion_web-out.jpg

# as above.

Actual results:

Segfault


Expected results:

Resized file or error message.

Additional info:

May be fixed in a later ImageMagick version discussed here:

http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=15623&start=15

Comment 2 Jan Kurik 2017-12-06 11:43:08 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.